List filtering rules
curl --request GET \
--url https://management-api.fpjs.io/filtering-rules \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/filtering-rules"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/filtering-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "origin",
"environment": "ae_rrETjdWcfqI6AFsk",
"allow": [
"example.com",
"my-website.com"
],
"deny": [
"*"
]
}
]
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}filtering-rules
List filtering rules
deprecated
Lists all request filtering rules for the workspace associated with the Management API key.
GET
/
filtering-rules
List filtering rules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Query Parameters
Filters by environment ID.
Response
List of filtering rules matching the given query.
Show child attributes
Show child attributes
Was this page helpful?
⌘I